%include	/usr/lib/rpm/macros.php
%define		_status		alpha
%define		_pearname	Validate_ISPN
Summary:	%{_pearname} - validation class for ISPN (International Standard Product Numbers)
Summary(pl.UTF-8):	%{_pearname} - klasa sprawdzania poprawności ISPN (Internation Standard Product Numbers)
Name:		php-pear-%{_pearname}
Version:	0.6.1
Release:	4
License:	New BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	e8393a93b0e30a7c44959f0dc08e5533
URL:		http://pear.php.net/package/Validate_ISPN/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 4.1.0
Requires:	php-pear
Requires:	php-pear-PEAR-core >= 1:1.4.0
Requires:	php-pear-Validate >= 0.5.0
Obsoletes:	php-pear-Validate_ISPN-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Package containes ISPN (International Standard Product Numbers)
validations such as:
 - ISSN
 - ISBN
 - ISMN
 - ISRC (International Standard Recording Code)
 - EAN8
 - EAN13
 - EAN14
 - UCC12
 - SSCC

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ten pakiet zawiera metody sprawdzania poprawności ISPN (Internation
Standard Product Numbers) takich jak:
 - ISSN
 - ISBN
 - ISMN
 - ISRC (International Standard Recording Code)
 - EAN8
 - EAN13
 - EAN14
 - UCC12
 - SSCC

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log docs/%{_pearname}/LICENSE
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Validate/ISPN.php
%changelog
* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> 580a919
- use php(core) for php engine version deps
- release 3 (by relup.sh)

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> 4b8057d
- release 3

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 12452eb
- dropped -tests subpackage

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 730db7d
- updated deps with pearize.sh
- release 2

* Thu Jul 05 2007 Elan Ruusamäe <glen@pld-linux.org> f59e248
- update to 0.6.1, added -tests

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> a977b65
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 10e8887
- converted to UTF-8

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> e2e924e
- BR rpm-build macros >= 1.300 for %pear_ macros

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 12a4928
- BR php-pear-PEAR

* Thu Jan 12 2006 Adam Gołębiowski <adamg@pld-linux.org> f47d64e
- new

